Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.spring
[Java] Class GrailsResourceHolder

    java.lang.Object
      org.codehaus.groovy.grails.commons.spring.GrailsResourceHolder

    @java.lang.Deprecated
    public class GrailsResourceHolder
    extends java.lang.Object

Holds references to all the Grails resource instances to support class reloading.

deprecated:
  No longer used and will be removed from a future release

Authors:
  Graeme Rocher

Field Summary
`static java.lang.String` | `APPLICATION_CONTEXT_ID`

Method Summary
`java.lang.String` | `getClassName(org.springframework.core.io.Resource resource)` Retrieves the class name of the specified resource.
`org.springframework.core.io.Resource[]` | `getResources()`
`void` | `setResources(org.springframework.core.io.Resource[] resources)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### APPLICATION_CONTEXT_ID

    public static final java.lang.String APPLICATION_CONTEXT_ID

Method Detail

### getClassName

    public java.lang.String getClassName(org.springframework.core.io.Resource resource)

  Retrieves the class name of the specified resource.
  Parameters:
    resource
  Returns:
    the name

### getResources

    public org.springframework.core.io.Resource[] getResources()

### setResources

    public void setResources(org.springframework.core.io.Resource[] resources)

Groovy Documentation